cxf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sergey Beryozkin (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CXF-6014) Exception occurred when running the jar which includes both cxf-bundle-jaxrs and cxf-rt-rs-security-cors
Date Fri, 19 Sep 2014 12:52:34 GMT

    [ https://issues.apache.org/jira/browse/CXF-6014?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14140430#comment-14140430
] 

Sergey Beryozkin commented on CXF-6014:
---------------------------------------

You should not really depend on the JAX-RS bundle because it was removed in CXF 3.0.0 and
instead use individual modules. I've added a CORS module dependency to the bundle build because
it is a small module but if you will need to use some more 2.7.x modules not included with
the bundle then you'd ned to drop  the bundle

> Exception occurred when running the jar which includes both cxf-bundle-jaxrs and cxf-rt-rs-security-cors
> --------------------------------------------------------------------------------------------------------
>
>                 Key: CXF-6014
>                 URL: https://issues.apache.org/jira/browse/CXF-6014
>             Project: CXF
>          Issue Type: Bug
>          Components: JAX-RS
>    Affects Versions: 2.7.12
>            Reporter: okwap
>              Labels: maven
>
> My program depends on cxf-bundle-jaxrs and cxf-rt-rs-security-cors. It works well in
IDE.
> I use maven-assembly-plugin to build jar-with-dependency. When I execute the jar, exception
occurred. 
> It seems to be a conflict with some files (having the same name, so when multiple cxf
files are unpacked into the same jar they get overwritten.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message